<?php
/**
 * Controller to handling saving decoration process
 *
 * @package wp-instant-decor-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPdc_Ajax_Save_decoration' ))
{
	class IPPdc_Ajax_Save_decoration
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
			$redirect = false;
			$error    = true;
			if ( ! empty( $_POST['deco_id'] ))
      {
				$decoId = absint( $_POST['deco_id'] );
				if ( $deco = get_post( $decoId ) ) {
					$this->_updateDeco( $deco );
				} else {
					$decoId = 0;
				}
			} else {
				$decoId = $this->_addDeco();
			}
			if ( $decoId )
			{
				$error = false;
				$model = new IPPdc_Model_Deco();
				$model->saveSetting( $decoId );
			}
			if ( $error ) {
				$status   = 0;
				$decoId  = 0;
				if ( $is_add ) {
					$message = __( 'Failed create deco.', IPPDC_SLUG );
				} else {
					$message = __( 'Failed save deco.', IPPDC_SLUG );
				}
			}
      else
      {
				$status = 1;
				if ( $is_add ) {
					$message  = __( 'Successfully created deco.', IPPDC_SLUG );
					$redirect = admin_url() . 'admin.php?page=' . IPPDC_PAGENAME . '-deco&action=edit&id=' . $decoId . '&create=1';
				} else {
					$message = __( 'Successfully saved deco.', IPPDC_SLUG );
					$redirect = admin_url() . 'admin.php?page=' . IPPDC_PAGENAME . '-deco&action=edit&id=' . $decoId . '&edited=1';
				}
			}

			$result = array(
				'status'    	=> $status,
				'message'   	=> $message,
			  'decoid'  		=> $decoId
			);
			if ( $redirect ) {
				$result['redirect'] = $redirect;
			}
			echo json_encode( $result );
			die();
		}

		/**
		 * Add new deco
		 *
		 * @return int
		 */
		protected function _addDeco()
		{
			global $user_ID;

			$title = 'ippdc_deco_' . time();
      $type  = 'page';
      if ( ! empty( $_GET['page_type'] ) ) {
        $type = apply_filters( 'single_post_title', $_GET['page_type'] );
      }
      $postId = 0;
      if ( ! empty( $_GET['postid'] ) ) {
        $postId = absint( $_GET['postid'] );
      }

			$dataPost = array(
				'post_status'  => 'publish',
				'post_type'    => 'ippdc_deco',
				'ping_status'  => $type,
				'post_author'  => $user_ID,
				'post_title'   => $title,
				'post_parent'  => $postId,
				'post_content' => ''
			);
			$result = wp_insert_post( $dataPost );
			return $result;
		}

		/**
		 * Update deco
		 *
		 * @param  object $deco
		 * @return boolean
		 */
		protected function _updateDeco( $deco )
		{
			$result   = 0;
			$dataPost = array();

			if ( ! empty( $dataPost )) {
					$dataPost['ID'] = $deco->ID;
					$result = wp_update_post( $dataPost );
			}
			return $result;
		}
	}
}
