<?php
/**
 * Modal box view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-box" data-remodal-id="ippcd-modal-box">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-magic"></i>
      <span><?php _e( 'Add Box', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'To add a box in your page please set options below', IPPDC_SLUG ); ?>.</p>


    <div class="ippdc-remodal-form">
      <form id="ippdc-form-box" class="ippdc-form" action="" method="post">

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-title">
              <?php _e( 'Title', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <input type="text" id="ippdc-input-box-title" class="ippdc-form-control" name="box_title">
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-content">
              <?php _e( 'Content', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <textarea id="ippdc-input-box-content" class="ippdc-form-control" name="box_content"></textarea>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-button-label">
              <?php _e( 'Button Label', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <input type="text" id="ippdc-input-box-button-label" class="ippdc-form-control" name="box_button_label">
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-button-url">
              <?php _e( 'Button URL', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <input type="text" id="ippdc-input-box-button-url" class="ippdc-form-control" name="box_button_url">
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-width">
              <?php _e( 'Width', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-box-width" class="ippdc-form-control ippdc-form-control-sm" name="box_width" value="400">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-box-height">
              <?php _e( 'Height', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-box-height" class="ippdc-form-control ippdc-form-control-sm" name="box_height" value="200">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-submit">
          <button class="ippdc-form-submit-btn" type="submit" name="add_box">
            <?php _e( 'Add Box', IPPDC_SLUG ); ?>
          </button>
        </div>
      </form>
    </div>
  </div>

</div>
