<?php
/**
 * Modal effect view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-effect" data-remodal-id="ippcd-modal-effect">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-magic"></i>
      <span><?php _e( 'Add Snow Effect', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'To add a snow effect in your page please type of the effect below', IPPDC_SLUG ); ?>.</p>

    <div class="ippdc-remodal-form">
      <form id="ippdc-form-bg-effect" class="ippdc-form" action="" method="post">
        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-effect-type">
              <?php _e( 'Effect Type', IPPDC_SLUG ); ?></label>
          </div>
          <div class="ippdc-form-input">
            <select id="ippdc-input-effect-type" class="ippdc-form-control" name="effect_type">
              <option value="snow"><?php _e( 'Snow', IPPDC_SLUG ); ?></option>
              <option value="snowflake"><?php _e( 'Snowflake', IPPDC_SLUG ); ?></option>
              <option value="leaf"><?php _e( 'Leaf', IPPDC_SLUG ); ?></option>
              <option value="star"><?php _e( 'Star', IPPDC_SLUG ); ?></option>
              <option value="hexagon"><?php _e( 'Hexagon', IPPDC_SLUG ); ?></option>
              <option value="sun"><?php _e( 'Sun', IPPDC_SLUG ); ?></option>
              <option value="cloud"><?php _e( 'Cloud', IPPDC_SLUG ); ?></option>
              <option value="droplet"><?php _e( 'Droplet of Water', IPPDC_SLUG ); ?></option>
            </select>
          </div>
        </div>
        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-effect-color">
              <?php _e( 'Color', IPPDC_SLUG ); ?></label>
          </div>
          <div class="ippdc-form-input">
            <select id="ippdc-input-effect-color" class="ippdc-form-control" name="effect_color">
              <option value="white"><?php _e( 'White', IPPDC_SLUG ); ?></option>
              <option value="black"><?php _e( 'Black', IPPDC_SLUG ); ?></option>
              <option value="blue"><?php _e( 'Blue', IPPDC_SLUG ); ?></option>
              <option value="light_blue"><?php _e( 'Light Blue', IPPDC_SLUG ); ?></option>
              <option value="red"><?php _e( 'Red', IPPDC_SLUG ); ?></option>
              <option value="green"><?php _e( 'Green', IPPDC_SLUG ); ?></option>
              <option value="orange"><?php _e( 'Orange', IPPDC_SLUG ); ?></option>
              <option value="yellow"><?php _e( 'Yellow', IPPDC_SLUG ); ?></option>
            </select>
          </div>
        </div>
        <div class="ippdc-form-submit">
          <button class="ippdc-form-submit-btn" type="submit" name="add_effect">
            <?php _e( 'Add Background Effect', IPPDC_SLUG ); ?>
          </button>
        </div>
      </form>
    </div>
  </div>

</div>
