<?php
/**
 * Modal image view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-image" data-remodal-id="ippcd-modal-image">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-image"></i>
      <span><?php _e( 'Add Image Decoration', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'To add an image decorations please choose one of the images below', IPPDC_SLUG ); ?>.</p>
    <p><em><?php _e( 'NOTE: For add image in this collection you must add image in media management in your administrator page', IPPDC_SLUG ); ?>.</em></p>

    <div class="ippdc-images-list ippdc-clear">
      <?php
      $query_images_args = array(
        'post_type'      => 'attachment',
        'post_mime_type' => 'image',
        'post_status'    => 'inherit',
        'posts_per_page' => - 1,
      );
      $query_images = new WP_Query( $query_images_args );
      foreach ( $query_images->posts as $image ) :

        $imgurl  = wp_get_attachment_url( $image->ID );
        $imgdata = wp_get_attachment_metadata( $image->ID );
        if ( empty( $imgdata )) {
          continue;
        }
        ?>
        <div class="_item" data-value="<?php echo $imgdata['file']; ?>" data-type="attachment">
          <img src="<?php echo $imgurl; ?>" alt="">
        </div>
      <?php
      endforeach;
      ?>


      <?php
      $imgdir = IPPDC_PATH . 'assets/deco-images/';
      if ($handle = opendir( $imgdir )) :
        while (false !== ($entry = readdir($handle))) :
          if ($entry != "." && $entry != "..") :
      ?>
        <div class="_item" data-value="<?php echo $entry; ?>" data-type="default">
          <img src="<?php echo IPPDC_BASE_URL . 'assets/deco-images/' . $entry; ?>" alt="">
        </div>
      <?php
          endif;
        endwhile;

        closedir($handle);
      endif;
      ?>
    </div>

  </div>

</div>
