<?php
/**
 * Modal video view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-video" data-remodal-id="ippcd-modal-video">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-magic"></i>
      <span><?php _e( 'Add Video', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'To add an video in your page please set options below', IPPDC_SLUG ); ?>.</p>

    <div class="ippdc-remodal-form">
      <form id="ippdc-form-video" class="ippdc-form" action="" method="post">
        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-video-id">
              <?php _e( 'Video ID', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <input type="text" id="ippdc-input-video-id" class="ippdc-form-control" name="video_id">
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-video-autoplay">
              <?php _e( 'Autoplay', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <select id="ippdc-input-video-autoplay" class="ippdc-form-control" name="video_autoplay">
              <option value="1"><?php _e( 'Yes', IPPDC_SLUG ); ?></option>
              <option value="2"><?php _e( 'No', IPPDC_SLUG ); ?></option>
            </select>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-video-width">
              <?php _e( 'Width', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-video-width" class="ippdc-form-control ippdc-form-control-sm" name="video_width" value="400">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-video-height">
              <?php _e( 'Height', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-video-height" class="ippdc-form-control ippdc-form-control-sm" name="video_height" value="200">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-submit">
          <button class="ippdc-form-submit-btn" type="submit" name="add_video">
            <?php _e( 'Add Video', IPPDC_SLUG ); ?>
          </button>
        </div>
      </form>
    </div>
  </div>

</div>
