<?php
/**
 * Modal note view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-note" data-remodal-id="ippcd-modal-note">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-magic"></i>
      <span><?php _e( 'Add Note', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'To add a note in your page please set options below', IPPDC_SLUG ); ?>.</p>

    <div class="ippdc-remodal-form">
      <form id="ippdc-form-note" class="ippdc-form" action="" method="post">
        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-note-content">
              <?php _e( 'Content', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <textarea id="ippdc-input-note-content" class="ippdc-form-control" name="note_content"></textarea>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-note-width">
              <?php _e( 'Width', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-note-width" class="ippdc-form-control ippdc-form-control-sm" name="note_width" value="400">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-field ippdc-clear">
          <div class="ippdc-form-label">
            <label for="ippdc-input-note-height">
              <?php _e( 'Height', IPPDC_SLUG ); ?>
            </label>
          </div>
          <div class="ippdc-form-input">
            <div class="ippdc-form-input-group">
              <input type="text" id="ippdc-input-note-height" class="ippdc-form-control ippdc-form-control-sm" name="note_height" value="200">
              <span class="ippdc-form-input-addon">px</span>
            </div>
          </div>
        </div>

        <div class="ippdc-form-submit">
          <button class="ippdc-form-submit-btn" type="submit" name="add_note">
            <?php _e( 'Add Note', IPPDC_SLUG ); ?>
          </button>
        </div>
      </form>
    </div>
  </div>

</div>
