<?php
/**
 * Main front viewer
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( empty( $this->decoration )) {
  return false;
}
$deco = $this->decoration;
$st   = new IPPdc_Setting( $deco->ID, '__ippdc-deco-setting' );
$type = $st->getSetting( 'type' );

$settings = '';
//
//General Style
$settings .= ' data-width="' . $st->getSetting( 'width' ) . '"';
$settings .= ' data-height="' . $st->getSetting( 'height' ) . '"';
$settings .= ' data-opacity="' . $st->getSetting( 'opacity' ) . '"';

//
// Position
$settings .= ' data-top="' . $st->getSetting( 'top' ) . '"';
$settings .= ' data-left="' . $st->getSetting( 'left' ) . '"';
$settings .= ' data-zindex="' . $st->getSetting( 'zindex' ) . '"';
$settings .= ' data-poshelper="' . $st->getSetting( 'pos_helper' ) . '"';

//
// Duration
$settings .= ' data-start="' . $st->getSetting( 'date_start' ) . '"';
$settings .= ' data-end="' . $st->getSetting( 'date_end' ) . '"';

if ( $type == 'note' || $type == 'box' ) {
  //
  // Settings
  $settings .= ' data-bgcolor="' . $st->getSetting( 'bgcolor' ) . '"';
  $settings .= ' data-color="' . $st->getSetting( 'color' ) . '"';
  $settings .= ' data-bordercolor="' . $st->getSetting( 'border_color' ) . '"';
  $settings .= ' data-bordersize="' . $st->getSetting( 'border_size' ) . '"';
}

if ( $type == 'box' ) {
  //
  // Settings
  $settings .= ' data-btncolor="' . $st->getSetting( 'button_color' ) . '"';
  $settings .= ' data-btnstyle="' . $st->getSetting( 'button_style' ) . '"';
}

if ( $type == 'effect' ) {
  //
  // Settings
  $settings  = '';
  $settings .= ' data-type="' . $st->getSetting( 'effect_type' ) . '"';
  $settings .= ' data-color="' . $st->getSetting( 'effect_color' ) . '"';
}
?>
<div class="ippdc-front-deco" data-id="<?php echo $deco->ID; ?>" data-type="<?php echo $type; ?>" style="display:none;">
  <div class="ippdc-front-deco-settings"<?php echo $settings; ?>></div>
  <div class="ippdc-front-deco-content">
    <?php
    //
    //Content image
    //
    if ( $type == 'image' ) :
      $image   = $st->getSetting( 'image' );
      $imgtype = $st->getSetting( 'image_type' );
      ?>
      <img class="ippdc-front-deco-image" src="" data-src="<?php echo $image; ?>" data-imagetype="<?php echo $imgtype; ?>" alt="">

    <?php
    //
    //Content note
    //
    elseif ( $type == 'note' ) :
      $content = $st->getSetting( 'content' );
    ?>
      <div class="ippdc-front-deco-note-content"><?php echo $content; ?></div>

    <?php
    //
    //Content image
    //
    elseif ( $type == 'box' ) :
      $title   = $st->getSetting( 'title' );
      $content = $st->getSetting( 'content' );
      $label   = $st->getSetting( 'button_label' );
      $url     = $st->getSetting( 'button_url' );
    ?>
      <div class="ippdc-front-deco-box-title"><?php echo $title; ?></div>
      <div class="ippdc-front-deco-box-content"><?php echo $content; ?></div>
      <a class="ippdc-front-deco-box-button" href="<?php echo $url; ?>"><?php echo $label; ?></a>

    <?php
    //
    //Content video
    //
    elseif ( $type == 'video' ) :
      $id   = $st->getSetting( 'video_id' );
      $auto = $st->getSetting( 'autoplay' );
    ?>
      <div class="ippdc-front-deco-video" data-id="<?php echo $id; ?>" data-autoplay="<?php echo $auto; ?>"></div>
    <?php
    endif;
    ?>
  </div>
</div>
